# Created by pyp2rpm-3.3.7
%global pypi_name paho-mqtt
%global srcname paho_mqtt

Name:           python-%{pypi_name}
Version:        2.1.0
Release:        %mkrel 2
Summary:        MQTT version 5.0/3.1.1 client class
Group:          Development/Python
License:        Eclipse Public License v1.0 / Eclipse Distribution License v1.0
URL:            https://eclipse.org/paho
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
This library provides a client class which enable applications to connect to an
MQTT broker to publish messages, and to subscribe to topics and receive
published messages. It also provides some helper functions to make publishing
one off messages to an MQTT server very straightforward.

The MQTT protocol is a machine-to-machine (M2M) connectivity protocol. Designed
as an extremely lightweight publish/subscribe messaging transport, it is useful
for connections with remote locations where a small code footprint is required
and/or network bandwidth is at a premium.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This library provides a client class which enable applications to connect to an
MQTT broker to publish messages, and to subscribe to topics and receive
published messages. It also provides some helper functions to make publishing
one off messages to an MQTT server very straightforward.

The MQTT protocol is a machine-to-machine (M2M) connectivity protocol. Designed
as an extremely lightweight publish/subscribe messaging transport, it is useful
for connections with remote locations where a small code footprint is required
and/or network bandwidth is at a premium.

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files paho

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst


%changelog
* Tue Feb 25 2025 wally <wally> 2.1.0-2.mga10
+ Revision: 2152423
- rebuild for python3.13

* Thu Jul 11 2024 papoteur <papoteur> 2.1.0-1.mga10
+ Revision: 2080759
- new version 2.1.0

* Sat Dec 09 2023 wally <wally> 1.6.1-2.mga10
+ Revision: 2016460
- rebuild for py3.12

* Sat Aug 13 2022 wally <wally> 1.6.1-1.mga9
+ Revision: 1877296
- new version 1.6.1
- switch build to pyproject RPM macros

* Thu Mar 24 2022 umeabot <umeabot> 1.5.1-3.mga9
+ Revision: 1825023
- Mageia 9 Mass Rebuild

* Wed Feb 23 2022 mrambo3501 <mrambo3501> 1.5.1-2.mga9
+ Revision: 1783418
- rebuild for python-3.10

* Sun Sep 19 2021 wally <wally> 1.5.1-1.mga9
+ Revision: 1745986
- imported package python-paho-mqtt

